Generation Framework

## org.eclipse.gmf.gmfgraph
Interface FigureHandle

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  ConnectionFigure, CustomConnection, CustomDecoration, CustomFigure, DecorationFigure, Ellipse, Figure, FigureAccessor, Label, LabeledContainer, Polygon, PolygonDecoration, Polyline, PolylineConnection, PolylineDecoration, Rectangle, RoundedRectangle, Shape

All Known Implementing Classes:
  CustomConnectionImpl, CustomDecorationImpl, CustomFigureImpl, EllipseImpl, FigureAccessorImpl, LabeledContainerImpl, LabelImpl, PolygonDecorationImpl, PolygonImpl, PolylineConnectionImpl, PolylineDecorationImpl, PolylineImpl, RectangleImpl, RoundedRectangleImpl, ShapeImpl

public interface FigureHandle
extends EObject

A representation of the model object 'Figure Handle'. Entry in the figure's hierarchy to reference from diagram element

The following features are supported:

- `Referencing Elements`

See Also:
  `GMFGraphPackage.getFigureHandle()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`EList` `getReferencingElements()` Returns the value of the 'Referencing Elements' reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReferencingElements

    public EList getReferencingElements()

  Returns the value of the 'Referencing Elements' reference list. The list contents are of type `DiagramElement`. It is bidirectional and its opposite is '`Figure`'.

  If the meaning of the 'Referencing Elements' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referencing Elements' reference list.
  See Also:
    `GMFGraphPackage.getFigureHandle_ReferencingElements()`, `DiagramElement.getFigure()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.gmfgraph.DiagramElement" opposite="figure"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.